Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: Architect support for ExtJS 7.0 ?

  1. #11
    Sencha Premium Member
    Join Date
    Oct 2011
    Location
    Baton Rouge, LA
    Posts
    175
    Answers
    3

    Default Thank You

    Perfect....thanks.

  2. #12
    Sencha Premium Member
    Join Date
    Dec 2015
    Posts
    13

    Default

    They released a new version of Sencha Architect in the support portal last friday (9/13)
    Version: 4.2.6.425
    Channel: 4.2-stable
    Platform: 1.6.2.49 - win32 x64
    Renderer: 56.0.2924.87
    Cmd: 7.0.0.40
    Framework: Ext JS 7.0.x Modern


    It looks like this update fixed some of the ExtJS 7.0 upgrade issues since it actually shows up in the available frameworks now, but still no accordion panel in the toolbox. I still have an open support ticket on this issue and will let this thread know if I find anything else out.

  3. #13
    Sencha Premium Member
    Join Date
    Dec 2015
    Posts
    13

    Default

    Latest response from Sencha on using Accordion Panel in Architect:
    Sorry for the confusion. There was an issue and this has been delayed until the 7.1 release.
    I am not sure of the release date at this time.
    So doesn't look like we'll be able to use some of the new 7.0 features in architect for quite a while.

  4. #14
    Sencha Premium Member
    Join Date
    Oct 2011
    Location
    Baton Rouge, LA
    Posts
    175
    Answers
    3

    Default

    Typical. Until they ditch SA and replace it with their rumored Sencha Studio app, we will have problems like this. SA has always lagged behind the current version of the framework, sometimes by months.

  5. #15
    Sencha Premium User dawesi's Avatar
    Join Date
    Mar 2007
    Location
    Melbourne, Australia (aka GMT+10)
    Posts
    1,231
    Answers
    26

    Default

    Just for the record... SA is here to stay, and Sencha Studio will be coming to VS Code in due course (aka years probably)...

    So let's hope they do a bit of a 5.0 rewrite and fix the performance / custom class / import&export issues...

    Looking forward to seeing more components in 4.3 release that are in the framework.
    Cloud Application Architect

    Sencha Specialist / Sencha MVP / Sencha Technical Trainer
    ExtJs Developer + Contributor since 0.2.2 - Champion of the per developer license.

  6. #16
    Sencha Premium User
    Join Date
    Jun 2009
    Location
    Fort Lauderdale
    Posts
    31
    Answers
    1

    Default

    Is manually upgrading as simple as executing the installer, and changing the command path in Architects preferences, or is there more to it?

    thanks for any pointers

    Quote Originally Posted by mlmcconnell View Post
    I have ExtJS 7 (and Sencha CMD 7) available and working in SA 4.6.2 and the applications I've upgraded (manually) thus far report that they're now using the version 7 framework.

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •